Pterodactyldocs
API Reference (1.x)Client server

Server activity

Returns the activity log for the specified server

Include parameters

ParameterDescription
actorInformation about the user who performed the action
GET/api/client/servers/{server}/activity

Authorization

ClientToken
AuthorizationBearer <token>

Client API key (generated at /account/api)

In: header

Path Parameters

server*string

Server identifier (short 8-character ID)

Response Body

application/json

curl -X GET "https://example.com/api/client/servers/1a7ce997/activity"
{  "object": "list",  "data": [    {      "object": "activity_log",      "attributes": {        "id": "abc123",        "batch": null,        "event": "server:power.start",        "is_api": false,        "ip": "82.73.127.188",        "description": null,        "properties": {},        "has_additional_metadata": false,        "timestamp": "2025-12-01T23:10:45+01:00"      }    }  ]}
Edit on GitHub

Last updated on